#1370 FileManager Java Applet Fails (other error)

1.120
closed
Jamie Cameron
5
2003-11-16
2003-11-13
Hugues Deghorain
No

I cannot get FileManager running. I get an error in the
applet.
Here are some technical and contextual info
- I upgrade my webmin installation to webmin 1.120
- Redhat 7.2
- I tried on different PC (Windows 2000) with different
browsers :
. Netscape
. Mozilla
. Internet Explorer
. Opera
The ones on my PC are :
. Netscape 7.1
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)
with Java Plug-in 1.4.1_02 for Netscape Navigator
. Internet 5.50.4522.1800
with Microsoft JVM

On Netscape here are the traces I get in the Java
Console when I run File Manager :

java.util.NoSuchElementException
at java.util.StringTokenizer.nextToken(Unknown Source)
at RemoteFile.<init>(FileManager.java:1050)
at RemoteFile.list(FileManager.java:1080)
at FileNode.fill(FileManager.java:985)
at FileManager.init(FileManager.java:187)
at sun.applet.AppletPanel.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)

In the miniserv log, I get these lines :

IPADDRESS - root [13/Nov/2003:20:01:13 +0100] "GET
/file/ HTTP/1.1" 200 1373
IPADDRESS - root [13/Nov/2003:20:01:15 +0100] "GET
/file/CbButtonCallback.class HTTP/1.1" 200 241
IPADDRESS - root [13/Nov/2003:20:01:16 +0100] "GET
/file/HierarchyCallback.class HTTP/1.1" 200 324
IPADDRESS - root [13/Nov/2003:20:01:16 +0100] "GET
/file/MultiColumnCallback.class HTTP/1.1" 200 288
IPADDRESS - root [13/Nov/2003:20:01:17 +0100] "GET
/file/HierarchyNode.class HTTP/1.1" 200 612
IPADDRESS - root [13/Nov/2003:20:01:17 +0100] "GET
/file/FileNode.class HTTP/1.1" 200 1845
IPADDRESS - root [13/Nov/2003:20:01:17 +0100] "GET
/file/BorderPanel.class HTTP/1.1" 200 1446
IPADDRESS - root [13/Nov/2003:20:01:17 +0100] "GET
/file/CbButton.class HTTP/1.1" 200 4861
IPADDRESS - root [13/Nov/2003:20:01:18 +0100] "GET
/file/Hierarchy.class HTTP/1.1" 200 5875
IPADDRESS - root [13/Nov/2003:20:01:18 +0100] "GET
/file/CbScrollbarCallback.class HTTP/1.1" 200 274
IPADDRESS - root [13/Nov/2003:20:01:18 +0100] "GET
/file/MultiColumn.class HTTP/1.1" 200 9945
IPADDRESS - root [13/Nov/2003:20:01:19 +0100] "GET
/file/ResizePanel.class HTTP/1.1" 200 2929
IPADDRESS - root [13/Nov/2003:20:01:20 +0100] "GET
/file/Util.class HTTP/1.1" 200 3752
IPADDRESS - root [13/Nov/2003:20:01:21 +0100] "GET
/file/lang.cgi?rand=ANUMBER&trust=ANUMBER HTTP/1.1" 200
18283
IPADDRESS - root [13/Nov/2003:20:01:21 +0100] "GET
/file/list_shares.cgi?rand=ANUMBER&trust=ANUMBER
HTTP/1.1" 200 2
IPADDRESS - root [13/Nov/2003:20:01:22 +0100] "GET
/file/list_exports.cgi?rand=ANUMBER&trust=ANUMBER
HTTP/1.1" 200 2
IPADDRESS - root [13/Nov/2003:20:01:22 +0100] "GET
/file/filesystems.cgi?rand=ANUMBER&trust=ANUMBER
HTTP/1.1" 200 186
IPADDRESS - root [13/Nov/2003:20:01:23 +0100] "GET
/file/FileSystem.class HTTP/1.1" 200 1013
IPADDRESS - root [13/Nov/2003:20:01:23 +0100] "GET
/file/StringSplitter.class HTTP/1.1" 200 1194
IPADDRESS - root [13/Nov/2003:20:01:24 +0100] "GET
/file/ToolbarLayout.class HTTP/1.1" 200 3807
IPADDRESS - root [13/Nov/2003:20:01:24 +0100] "GET
/file/images/ret.gif HTTP/1.1" 200 229
IPADDRESS - root [13/Nov/2003:20:01:24 +0100] "GET
/file/images/config.gif HTTP/1.1" 200 167
IPADDRESS - root [13/Nov/2003:20:01:25 +0100] "GET
/file/images/down.gif HTTP/1.1" 200 128
IPADDRESS - root [13/Nov/2003:20:01:25 +0100] "GET
/file/images/edit.gif HTTP/1.1" 200 138
IPADDRESS - root [13/Nov/2003:20:01:25 +0100] "GET
/file/images/refresh.gif HTTP/1.1" 200 92
IPADDRESS - root [13/Nov/2003:20:01:26 +0100] "GET
/file/images/props.gif HTTP/1.1" 200 117
IPADDRESS - root [13/Nov/2003:20:01:26 +0100] "GET
/file/images/ext.gif HTTP/1.1" 200 1159
IPADDRESS - root [13/Nov/2003:20:01:27 +0100] "GET
/file/images/search.gif HTTP/1.1" 200 131
IPADDRESS - root [13/Nov/2003:20:01:27 +0100] "GET
/file/images/cancel.gif HTTP/1.1" 200 107
IPADDRESS - root [13/Nov/2003:20:01:27 +0100] "GET
/file/images/new.gif HTTP/1.1" 200 85
IPADDRESS - root [13/Nov/2003:20:01:28 +0100] "GET
/file/images/upload.gif HTTP/1.1" 200 154
IPADDRESS - root [13/Nov/2003:20:01:28 +0100] "GET
/file/images/mkdir.gif HTTP/1.1" 200 106
IPADDRESS - root [13/Nov/2003:20:01:29 +0100] "GET
/file/images/makelink.gif HTTP/1.1" 200 127
IPADDRESS - root [13/Nov/2003:20:01:29 +0100] "GET
/file/images/rename.gif HTTP/1.1" 200 144
IPADDRESS - root [13/Nov/2003:20:01:29 +0100] "GET
/file/images/mount.gif HTTP/1.1" 200 221
IPADDRESS - root [13/Nov/2003:20:01:30 +0100] "GET
/file/images/copy.gif HTTP/1.1" 200 113
IPADDRESS - root [13/Nov/2003:20:01:30 +0100] "GET
/file/images/cut.gif HTTP/1.1" 200 119
IPADDRESS - root [13/Nov/2003:20:01:31 +0100] "GET
/file/images/paste.gif HTTP/1.1" 200 152
IPADDRESS - root [13/Nov/2003:20:01:31 +0100] "GET
/file/RemoteFile.class HTTP/1.1" 200 3585
IPADDRESS - root [13/Nov/2003:20:01:31 +0100] "GET
/file/root.cgi?rand=ANUMBER&trust=ANUMBER HTTP/1.1" 200 37
IPADDRESS - root [13/Nov/2003:20:01:32 +0100] "GET
/file/images/mdir.gif HTTP/1.1" 200 169
IPADDRESS - root [13/Nov/2003:20:01:32 +0100] "GET
/file/CbScrollbar.class HTTP/1.1" 200 4330
IPADDRESS - root [13/Nov/2003:20:01:32 +0100] "GET
/file/CbScrollbarArrow.class HTTP/1.1" 200 2028
IPADDRESS - root [13/Nov/2003:20:01:33 +0100] "GET
/file/list.cgi?dir=/&rand=ANUMBER&trust=ANUMBER
HTTP/1.1" 200 1466

I really don't know what to do with this... any
workaround or recommendations in terms of browser,
JVM,... ?

It was working with a previous release of webmin.

Best regards,
Hugues

Discussion

    • priority: 5 --> 8
     
    • priority: 8 --> 5
     
  • Jamie Cameron
    Jamie Cameron
    2003-11-13

    Logged In: YES
    user_id=129364

    I would be interested too see what the output from the URL
    http://yourserver:10000/file/list.cgi?dir=/
    is if you visit it in your browser. My guess is that some error
    message will appear ..

     
  • Logged In: YES
    user_id=907632

    Here is the output... I don't see any errors...

    /. 0 root root 4096 16877
    1068799804
    /.. 0 root root 4096 16877
    1068799804
    /.autofsck 4 root root 0
    33188 1065877083
    /.bash_history 4 root root 310
    33152 1047587015
    /bin 0 root root 4096 16877
    1058468310
    /boot 0 root root 4096 16877
    1029925990
    /command 0 root root 4096
    16877 1047758826
    /dev 0 root root 77824 16877
    1065877088
    /downloads 0 root root 4096
    16877 1032511433
    /etc 0 root root 8192 16877
    1068797038
    /home 0 root root 4096 16877
    1068725092
    /httpd.conf 5 root root 33
    41471 1029926417
    /usr/local/apache/conf/httpd.conf
    /initrd 0 root root 4096 16877
    993148339
    /install.log 4 root root 898481
    33188 1029926942
    /lib 0 root root 4096 16877
    1068579457
    /lost+found 0 root root 16384
    16877 1029953649
    /mnt 0 root root 4096 16877
    998339640
    /opt 0 root root 4096 16877
    1033686858
    /package 0 root root 4096 17389
    1047758793
    /proc 0 root root 0 16749
    1065877069
    /root 0 root root 4096 16872
    1068799801
    /sbin 0 root root 4096 16877
    1058468437
    /service 0 root root 4096 16877
    1047741766
    /temp 0 root root 4096 16877
    1036266754
    /tmp 0 root root 20480 17407
    1068799801
    /travaux_2003_02_19.log 4 root root 1823
    33188 1045697484
    /usr 0 root root 4096 16877
    1034715500
    /var 0 root root 4096 16877
    1055971163
    /www 0 root root 4096 16877
    1060722321

     
  • Jamie Cameron
    Jamie Cameron
    2003-11-15

    Logged In: YES
    user_id=129364

    I have attached an updated version of the module to this bug report that will
    show what is really going wrong. Try installing and telling me what error
    message appears ..

     
  • Jamie Cameron
    Jamie Cameron
    2003-11-15

    Updated File Manager module

     
    Attachments
  • Logged In: YES
    user_id=907632

    It works with the file you attached in your last post...
    What can I do to help you in understanding why it was not
    working previously... I didn't change anything on my system
    in the meantime...

     
  • Jamie Cameron
    Jamie Cameron
    2003-11-16

    • status: open --> closed
     
  • Jamie Cameron
    Jamie Cameron
    2003-11-16

    Logged In: YES
    user_id=129364

    And no error message appears at all in the Java console, or in a pop-up
    window?
    I must have fixed this when I made another small change to the File
    Manager module since version 1.120 !

     
  • Logged In: YES
    user_id=907632

    No... nothing... no messages... nowhere. By the way... thanks !